<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
	xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" 
	xmlns:deli="http://delicon.sourceforge.net/manufacturerProfiles#"
	xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#">

<!-- This stylesheet converts manufacturerProfile.xml files to RDF -->

<xsl:template match="profiles">
	<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" 
	         xmlns:deli="http://delicon.sourceforge.net/manufacturerProfiles#"
		 xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#">		
		<xsl:apply-templates/>
	</rdf:RDF>
</xsl:template>

<xsl:template match="profile">
	<deli:Profile>
		<xsl:attribute name="rdf:about">urn:x-hp-deli:devices/<xsl:value-of select="manufacturerName"/>-<xsl:value-of select="name"/>-<xsl:value-of select="release"/></xsl:attribute>
		<xsl:apply-templates/>
	</deli:Profile>
</xsl:template>

<xsl:template match="manufacturerName">
	<deli:manufacturedBy>
		<rdf:Description>
			<xsl:attribute name="rdf:about">urn:x-hp-deli:manufacturers/<xsl:value-of select="."/></xsl:attribute>
			<rdfs:label><xsl:value-of select="."/></rdfs:label>
		</rdf:Description>
	</deli:manufacturedBy>
</xsl:template>

<xsl:template match="supportsuaprof">
	<deli:supportsUAProf><xsl:value-of select="."/></deli:supportsUAProf>
</xsl:template>

<xsl:template match="provider">
	<deli:provider>
		<rdf:Description>
			<xsl:attribute name="rdf:about">urn:x-hp-deli:providers/<xsl:value-of select="."/></xsl:attribute>
			<rdfs:label><xsl:value-of select="."/></rdfs:label>
		</rdf:Description>
	</deli:provider>
</xsl:template>

<xsl:template match="name">
	<deli:deviceName><xsl:value-of select="."/></deli:deviceName>
</xsl:template>

<xsl:template match="release">
	<deli:release><xsl:value-of select="."/></deli:release>
</xsl:template>

<xsl:template match="uri">
	<deli:uaprofUri>
		<xsl:attribute name="rdf:resource"><xsl:value-of select="."/></xsl:attribute>
	</deli:uaprofUri>
</xsl:template>

<xsl:template match="operator">
	<deli:operator>
		<xsl:attribute name="rdf:resource">urn:x-hp-deli:operators/<xsl:value-of select="."/></xsl:attribute>
	</deli:operator>
</xsl:template>

<xsl:template match="file">
	<deli:file><xsl:value-of select="."/></deli:file>
</xsl:template>

<xsl:template match="useragent">
	<deli:useragent><xsl:value-of select="."/></deli:useragent>
</xsl:template>

<xsl:template match="browserVendor">
	<deli:file><xsl:value-of select="."/></deli:file>
</xsl:template>

<xsl:template match="notes">
	<deli:file><xsl:value-of select="."/></deli:file>
</xsl:template>

<xsl:template match="oldUri">
	<deli:oldUaprofUri>
		<xsl:attribute name="rdf:resource"><xsl:value-of select="."/></xsl:attribute>
	</deli:oldUaprofUri>
</xsl:template>

</xsl:stylesheet>
