<!-- edited with XML Spy v3.0.7 NT (http://www.xmlspy.com) by Mark Butler (Hewlett-Packard Laboratories UK) -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:template match="/">
	<html>
		<head>
			<title>List of available UAProf profiles</title>
		</head>
		<body>
			<h1>List of available UAProf profiles</h1>
			<h2>Vendor profiles</h2>
			<xsl:variable name="vendoronly" select="//profiles/profile[normalize-space(provider)='']"/>
			<xsl:for-each select="$vendoronly[not(preceding-sibling::profile/manufacturerName = manufacturerName)]">
				<xsl:sort select="manufacturerName"/>
				<xsl:if test="not(normalize-space(uri)='')">
				<h3>Manufacturer: <xsl:value-of select="manufacturerName"/></h3>
							
				<xsl:variable name="allprofiles" select="$vendoronly[manufacturerName = current()/manufacturerName]"/>				
				<xsl:for-each select="$allprofiles[not(preceding-sibling::profile/name = name)]">
				<xsl:sort select="name"/>	
				<p><table border="1">
				<tbody>
				<tr>
					<td>Device</td>
					<td>Release</td>
					<td>URI</td>
				</tr>
				<xsl:variable name="allreleases" select="$allprofiles[name = current()/name]"/>
				<xsl:for-each select="$allreleases">
				<tr>
					<td>Name: <xsl:value-of select="name"/></td>
					<xsl:if test="normalize-space(provider)=''">
						<td><xsl:value-of select="release"/></td>
						<td><a>
							<xsl:attribute name="href"><xsl:value-of select="uri"/></xsl:attribute>
							<xsl:value-of select="uri"/>
						</a></td>
					</xsl:if>
				</tr>
				</xsl:for-each>
				</tbody></table></p>
				</xsl:for-each>
				</xsl:if>
			</xsl:for-each>
			
			<h2>Third party profiles</h2>
			<xsl:variable name="thirdparty" select="//profiles/profile[not(normalize-space(provider)='')]"/>
			<xsl:for-each select="$thirdparty[not(preceding-sibling::profile/manufacturerName = manufacturerName)]">
				<xsl:sort select="manufacturerName"/>
				<xsl:if test="not(normalize-space(uri)='')">
				<h3>Manufacturer: <xsl:value-of select="manufacturerName"/></h3>				
				<xsl:variable name="allprofiles" select="$thirdparty[manufacturerName = current()/manufacturerName]"/>				
				<xsl:for-each select="$allprofiles[not(preceding-sibling::profile/name = name)]">
				<xsl:sort select="name"/>
				<p>Name: <xsl:value-of select="name"/><br/>
				<xsl:variable name="allreleases" select="$allprofiles[name = current()/name]"/>
				<xsl:for-each select="$allreleases">
					Release: <xsl:value-of select="release"/><br/>
					URI: <a>
						<xsl:attribute name="href"><xsl:value-of select="uri"/></xsl:attribute>
						<xsl:value-of select="uri"/>
					</a><br/>
					<xsl:if test="not(normalize-space(useragent)='')">
						UserAgent: <xsl:value-of select="useragent"/><br/>
					</xsl:if>
				</xsl:for-each>
				</p>
				</xsl:for-each>
				</xsl:if>
			</xsl:for-each>
			<!--
			<xsl:for-each select="//profiles/profile[not(preceding-sibling::profile/manufacturerName = manufacturerName)]">
				<xsl:sort select="manufacturerName"/>
				<xsl:if test="not(normalize-space(uri)='')">
				<h2>Manufacturer: <xsl:value-of select="manufacturerName"/></h2>				
				<xsl:variable name="allprofiles" select="//profiles/profile[manufacturerName = current()/manufacturerName]"/>				
				<xsl:for-each select="$allprofiles[not(preceding-sibling::profile/name = name)]">
				<xsl:sort select="name"/>
				<p>Name: <xsl:value-of select="name"/><br/>
				<xsl:variable name="allreleases" select="$allprofiles[name = current()/name]"/>
				<xsl:for-each select="$allreleases">
					<xsl:if test="normalize-space(provider)=''">
						Release: <xsl:value-of select="release"/><br/>
						URI: <a>
							<xsl:attribute name="href"><xsl:value-of select="uri"/></xsl:attribute>
							<xsl:value-of select="uri"/>
						</a><br/>
					</xsl:if>
					<xsl:if test="not(normalize-space(useragent)='')">
						UserAgent: <xsl:value-of select="useragent"/><br/>
					</xsl:if>
				</xsl:for-each>
				</p>
				</xsl:for-each>
				</xsl:if>
			</xsl:for-each>
			-->
		</body>
	</html>
</xsl:template>

</xsl:stylesheet>
